package com.bonus.canteen.core.report.service;

import com.bonus.canteen.core.report.domain.*;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface TradeReportService {
    List<TradeFlowVO> selectTradeFlow(TradeFlowParam param);
    List<OperatingRevenueVO> selectOperatingRevenue(OperatingRevenueParam param);
    List<CanteenStallRevenueVO> selectCanteenStallRevenue(CanteenStallRevenueParam param);
    List<DeviceRevenueVO> selectDeviceRevenue(DeviceRevenueParam param);
    List<UserRevenueVO> selectUserRevenue(UserRevenueParam param);
    List<GoodsRevenueVO> selectGoodsRevenue(GoodsRevenueParam param);
}
